/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice;

import java.util.*;
import org.apache.commons.lang.enum.*;

public final class SearchMode extends Enum
{
  /*--------------------------------------------------------------------------------
   * The actual enumeration values
   *--------------------------------------------------------------------------------
   */

  public static final SearchMode PREFIX    = new SearchMode("PREFIX");
  public static final SearchMode SUBSTRING = new SearchMode("SUBSTRING");
  public static final SearchMode REGEXP    = new SearchMode("REGEXP");

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  private SearchMode(String name)
  {
    super(name);

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Standard static method implementations
   *--------------------------------------------------------------------------------
   */

  public static SearchMode getEnum(String name)
  {
    return (SearchMode)getEnum(SearchMode.class,name);

  } // end getEnum

  public static Map getEnumMap()
  {
    return getEnumMap(SearchMode.class);

  } // end getEnumMap

  public static List getEnumList()
  {
    return getEnumList(SearchMode.class);

  } // end getEnumList

  public static Iterator iterator()
  {
    return iterator(SearchMode.class);

  } // end iterator

} // end class SearchMode
